User Search Filters
Responses
200
User search filter list
application/json
401
Unauthorized
application/json
500
Internal Server Error
application/json
get/api/user_search_filters/me
GET /api/user_search_filters/me HTTP/1.1
Accept: */*
{
"data": [
{
"filters": {
"system_id": 1
},
"id": 1,
"is_global": false,
"name": "My saved filter",
"scope": "rule_implementation",
"user_id": 10
}
]
}Path parameters
idintegerRequired
User search filter ID
Responses
200
User search filter details
application/json
401
Unauthorized
application/json
404
Not found
application/json
500
Internal Server Error
application/json
get/api/user_search_filters/{id}
GET /api/user_search_filters/{id} HTTP/1.1
Accept: */*
{
"data": {
"filters": {
"system_id": 1
},
"id": 1,
"inserted_at": "2026-06-18T10:00:00Z",
"is_global": false,
"name": "My saved filter",
"scope": "rule_implementation",
"updated_at": "2026-06-18T10:00:00Z",
"user_id": 10
}
}Path parameters
idintegerRequired
User search filter ID
Responses
204
User search filter deleted
No content
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
500
Internal Server Error
application/json
delete/api/user_search_filters/{id}
DELETE /api/user_search_filters/{id} HTTP/1.1
Accept: */*
No content
Responses
200
User search filter list
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/user_search_filters
GET /api/user_search_filters HTTP/1.1
Accept: */*
{
"data": [
{
"filters": {
"system_id": 1
},
"id": 1,
"is_global": false,
"name": "My saved filter",
"scope": "rule_implementation",
"user_id": 10
}
]
}Body
Responses
201
User search filter created
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/user_search_filters
POST /api/user_search_filters HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 123
{
"user_search_filter": {
"filters": {
"system_id": 1
},
"is_global": false,
"name": "My saved filter",
"scope": "rule_implementation"
}
}{
"data": {
"filters": {
"system_id": 1
},
"id": 1,
"inserted_at": "2026-06-18T10:00:00Z",
"is_global": false,
"name": "My saved filter",
"scope": "rule_implementation",
"updated_at": "2026-06-18T10:00:00Z",
"user_id": 10
}
}Last updated